## syncplay 1.6.9+repack1

=== requirements.txt ===
certifi>=2018.11.29
twisted[tls]>=16.4.0
appnope>=0.1.0; sys_platform == 'darwin'
pypiwin32>=223; sys_platform == 'win32'
zope.interface>=4.4.0; sys_platform == 'win32'

## syncplay 1.6.7+repack1

=== debian/changelog ===
syncplay (1.6.7+repack1-5) unstable; urgency=medium

  * Corrected typos in
    + package description
    + syncplay manpage
    + exclude-desktop-entries-from-manifest.patch header

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 14 Feb 2021 06:49:39 +0100

syncplay (1.6.7+repack1-4) unstable; urgency=medium

  * Fixed a copy-paste-mistake in the manpage of syncplay.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 13 Feb 2021 12:16:34 +0100

syncplay (1.6.7+repack1-3) unstable; urgency=medium

  * Upload to unstable

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 07 Feb 2021 10:13:32 +0100

syncplay (1.6.7+repack1-2) experimental; urgency=medium

  * Added manpages for binaries syncplay and syncplay-server. Removed this
    task from the todo list.
  * Changed dependency on 'vlc or mpv': Prefer mpv because it works better
    with Syncplay than vlc.

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 07 Feb 2021 07:55:41 +0100

syncplay (1.6.7+repack1-1) experimental; urgency=medium

  * Uploaded to experimental

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 28 Jan 2021 05:25:09 +0100

=== debian/control ===
Source: syncplay
Section: net
Priority: optional
Maintainer: Bruno Kleinert <fuddl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
# For tests by upstream
               python3-twisted
Standards-Version: 4.5.1
Homepage: https://syncplay.pl/
Vcs-Browser: https://salsa.debian.org/fuddl/syncplay
Vcs-Git: https://salsa.debian.org/fuddl/syncplay.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: syncplay
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-twisted,
         python3-certifi,
# For the graphical user interface
         python3-pyside2.qtwidgets,
         python3-pyside2.qtcore,
         mpv | vlc
Suggests: jami, mumble
Description: Synchronize playback of various video players via internet
 Allows you to watch movies with friends or family at different places
 synchronized via the internet.
 .
 When a viewer pauses/continues playback or seeks within their media player
 this will be replicated across all media players connected to the same server
 in the same viewing session. A chat function is included so viewers can
 discuss the movie while watching it. To improve the communication experience
 for viewers, the Syncplay developers and this package suggest to use
 additional VoIP (package mumble) or video phone (package jami) software.
 .
 Technically, it synchronizes the position and play states of multiple mpv,
 VLC, MPC-HC and MPC-BEmedia player instances so viewers' players present the
 same movie at the same time.
 .
 In case your friends and family do not use Debian, Syncplay is available for
 other operating systems on the upstream website.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=syncplay

%:
	dh $@ --with python3 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add sphinxdoc to the dh --with line
#
# And uncomment the following lines
#override_dh_auto_build: export http_proxy=127.0.0.1:9
#override_dh_auto_build: export https_proxy=127.0.0.1:9
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/syncplay/usr/lib/python3/dist-packages/syncplay/resources/spinner.mng

## syncplay 1.6.9+repack1

=== debian/changelog ===
syncplay (1.6.9+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 18 Aug 2021 19:23:49 +0200

syncplay (1.6.8+repack1-3) unstable; urgency=medium

  * Upload to unstable
    + Updated copyright documentation

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 17 Aug 2021 07:30:32 +0200

syncplay (1.6.8+repack1-2) experimental; urgency=medium

  * Correctly version Breaks, Replaces fields of syncplay-common and
    syncplay-server, and version Recommends field of syncplay. Thanks to
    Andreas Beckmann for reporting that issue (Closes: #989876)

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 15 Jun 2021 19:11:02 +0200

syncplay (1.6.8+repack1-1) experimental; urgency=medium

  * New upstream release
    + Updated copyright documentation
    + Upstream merged our manpages, so we removed the Debian-specific ones and
      installed those included upstream.
    + Updated lintian overrides
  * Installed systemd configuration for syncplay-server. See
    /usr/share/doc/syncplay-server/README.Debian for details.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 12 Jun 2021 05:21:19 +0200

syncplay (1.6.7+repack1-7) experimental; urgency=medium

  * Split binary package into syncplay, syncplay-common and syncplay-server
    packages. Set Breaks and Repalces fields in debian/control accordingly for
    a smooth upgrade. (Closes: #989050)
  * Extended debian/watch to ignore incorrect 1.68-Beta1 tag
  * Skipped -6 Debian revision as I messed that one up while it was processed
    in the NEW queue due to the newly introduced binary packages. My bad.

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 26 May 2021 08:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,16 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
+         syncplay-common,
          python3-twisted,
          python3-certifi,
-# For the graphical user interface
+# Those are for the graphical user interface:
          python3-pyside2.qtwidgets,
          python3-pyside2.qtcore,
          mpv | vlc
+Recommends: syncplay-server (>= 1.6.7+repack1-7)
 Suggests: jami, mumble
-Description: Synchronize playback of various video players via internet
+Description: Synchronize playback of various video players via internet (Client)
  Allows you to watch movies with friends or family at different places
  synchronized via the internet.
  .
@@ -34,8 +36,8 @@
  this will be replicated across all media players connected to the same server
  in the same viewing session. A chat function is included so viewers can
  discuss the movie while watching it. To improve the communication experience
- for viewers, the Syncplay developers and this package suggest to use
- additional VoIP (package mumble) or video phone (package jami) software.
+ for viewers, the Syncplay developers and the syncplay-client package suggest to
+ use additional VoIP (package mumble) or video phone (package jami) software.
  .
  Technically, it synchronizes the position and play states of multiple mpv,
  VLC, MPC-HC and MPC-BEmedia player instances so viewers' players present the
@@ -43,3 +45,42 @@
  .
  In case your friends and family do not use Debian, Syncplay is available for
  other operating systems on the upstream website.
+ To learn what Syncplay is read the description of package 'syncplay'.
+ .
+ This package installs the graphical desktop client program that does the actual
+ synchronization of your video player. Therefore it must connect to a Syncplay
+ server.
+
+Package: syncplay-server
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         syncplay-common,
+         python3-twisted,
+         python3-certifi
+Suggests: certbot | dehydrated | acme-tiny
+Breaks: syncplay (<< 1.6.7+repack1-7)
+Replaces: syncplay (<< 1.6.7+repack1-7)
+Description: Synchronize playback of various video players via internet (Server)
+ To learn what Syncplay is read the description of package 'syncplay'.
+ .
+ This package installs the Syncplay server program. Install this package when
+ you plan to set up your own Syncplay server that your friends and family
+ connect to.
+ .
+ Note that the computer that runs the Syncplay server must be reachable from the
+ Internet. To enable encryption, you need a domain and a valid certificate. The
+ suggested packages can help you obtain a certificate.
+
+Package: syncplay-common
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends}
+Breaks: syncplay (<< 1.6.7+repack1-7)
+Replaces: syncplay (<< 1.6.7+repack1-7)
+Description: Common files for Syncplay client and server packages
+ This package is a dependency of syncplay-client and syncplay-server. You do
+ not want to install this package manually.
+ .
+ If you are looking for Syncplay, have a look at the description of package
+ syncplay.

=== debian/watch ===
version=4
# 1.6.8-Beta1 was erroneously tagged 1.68-Beta1. Treat 68-Beta1 in
# uversionmangle as a special case to have it sorted as an old version and
# therefore avoid it precede correctly tagged releases.
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/syncplay-$1\.tar\.gz/, \
  dversionmangle=s/\+repack\d*$//, \
  uversionmangle=s/(\d)[_\.\-\+]?((68-Beta1|Beta|Alpha)\d*)$/$1~$2/, \
  repacksuffix=+repack1" \
  https://github.com/Syncplay/syncplay/releases .*/v?(\d\S+)\.tar\.gz

## syncplay 1.7.0%2Brepack1

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,10 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/syncplay/usr/lib/python3/dist-packages/syncplay/resources/spinner.mng
+
+override_dh_clean:
+	dh_clean
+	rm -rf debian/python3-syncplay
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start

## syncplay 1.7.0+repack1

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 certifi>=2018.11.29
+pem>=21.2.0
 twisted[tls]>=16.4.0
 appnope>=0.1.0; sys_platform == 'darwin'
 pypiwin32>=223; sys_platform == 'win32'

=== debian/changelog ===
syncplay (1.7.0+repack1-2ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:35:52 +0100

syncplay (1.7.0+repack1-2) unstable; urgency=medium

  * Upload to unstable

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 08 Jul 2023 05:38:39 +0200

syncplay (1.7.0+repack1-1) experimental; urgency=medium

  * New upstream release
    + Updated debian/copyright

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 09 Apr 2023 06:35:14 +0200

syncplay (1.6.9+repack1-7) unstable; urgency=medium

  * Re-added jami to the list of suggested packages as it is installable in
    testing.

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 16 Feb 2023 05:42:09 +0100

syncplay (1.6.9+repack1-6) unstable; urgency=medium

  * Declare compliance to Standards Version 4.6.2. No changes.
  * Removed obsolete lintian overrides for syncplay

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 08 Feb 2023 12:40:01 +0100

syncplay (1.6.9+repack1-5) unstable; urgency=medium

  * Acknowledge Michael's NMU, thanks!
  * Declare compliance with standards version 4.6.1. No changes required.
  * Removed video phone 'jami' from suggested packages as it is currently not
    available in testing. Suggest linphone-desktop as an alternative instead.

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 20 Nov 2022 04:37:28 +0100

syncplay (1.6.9+repack1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:50:22 +0200

syncplay (1.6.9+repack1-4) unstable; urgency=medium

  * Fixed debian/watch that made uscan from devscripts 2.21.5 bail out
  * Upload to unstable

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 18 Nov 2021 14:26:31 +0100

syncplay (1.6.9+repack1-3) experimental; urgency=medium

  * Added security measures in systemd service

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 22 Oct 2021 14:51:18 +0200

syncplay (1.6.9+repack1-2) experimental; urgency=medium

  * Declare compliance with standards version 4.6.0. No changes required.
  * Improved systemd .service
    + Set After= and Wants=network-online.target in systemd service file
    + Set DynamicUser=true to execute syncplay-server as unprivileged,
      dynamically created user and group
  * Integrated with certbot
    + Recommend package certbot
    + Install configuration /etc/default/syncplay-server to configure the domain
    + Set RuntimeDirectory in syncplay-server.service to have systemd
      dynamically create /run/syncplay-server to store certificates during
      runtime
    + Install certbot hook script
    + Documented certbot integration and configuration in README.Debian in
      syncplay-serer package

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 22 Oct 2021 05:11:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: syncplay
 Section: net
 Priority: optional
-Maintainer: Bruno Kleinert <fuddl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bruno Kleinert <fuddl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
 # For tests by upstream
                python3-twisted
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://syncplay.pl/
 Vcs-Browser: https://salsa.debian.org/fuddl/syncplay
 Vcs-Git: https://salsa.debian.org/fuddl/syncplay.git
@@ -27,7 +28,7 @@
          python3-pyside2.qtcore,
          mpv | vlc
 Recommends: syncplay-server (>= 1.6.7+repack1-7)
-Suggests: jami, mumble
+Suggests: jami | linphone-desktop | mumble
 Description: Synchronize playback of various video players via internet (Client)
  Allows you to watch movies with friends or family at different places
  synchronized via the internet.
@@ -36,8 +37,9 @@
  this will be replicated across all media players connected to the same server
  in the same viewing session. A chat function is included so viewers can
  discuss the movie while watching it. To improve the communication experience
- for viewers, the Syncplay developers and the syncplay-client package suggest to
- use additional VoIP (package mumble) or video phone (package jami) software.
+ for viewers, the Syncplay developers and therefore the syncplay-client package
+ suggest to use additional VoIP software (package mumble) or video phone
+ software (packages jami or linphone-desktop).
  .
  Technically, it synchronizes the position and play states of multiple mpv,
  VLC, MPC-HC and MPC-BEmedia player instances so viewers' players present the
@@ -58,8 +60,9 @@
          syncplay-common,
          python3-twisted,
          python3-certifi
-Suggests: certbot | dehydrated | acme-tiny
-Breaks: syncplay (<< 1.6.7+repack1-7)
+Recommends: certbot
+Suggests: dehydrated | acme-tiny
+Breaks: syncplay (<< 1.6.7+repack1-7), python3-minimal (<< 3.12.3-0ubuntu2~)
 Replaces: syncplay (<< 1.6.7+repack1-7)
 Description: Synchronize playback of various video players via internet (Server)
  To learn what Syncplay is read the description of package 'syncplay'.
@@ -70,7 +73,9 @@
  .
  Note that the computer that runs the Syncplay server must be reachable from the
  Internet. To enable encryption, you need a domain and a valid certificate. The
- suggested packages can help you obtain a certificate.
+ package provides a hook script for the recommended certbot package to simplify
+ encrypted configurations. Integration with the suggested packages dehydrated
+ or acme-tiny requires manual configuration.
 
 Package: syncplay-common
 Architecture: all

## syncplay 1.7.2+repack1

=== debian/changelog ===
syncplay (1.7.2+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed fix-invalid-escape-sequences.patch

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 06 Apr 2024 06:50:56 +0200

syncplay (1.7.1+repack1-1) unstable; urgency=medium

  * New upstream release
  * Added patch fix-invalid-escape-sequences.patch to address deprecation
    warnings

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 09 Mar 2024 05:22:39 +0100

## syncplay 1.7.3+repack1

=== debian/changelog ===
syncplay (1.7.3+repack1-1) unstable; urgency=medium

  * New upstream release
    + Removed fix-invalid-escape-sequences.patch, merged upstream

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 09 May 2024 07:51:08 +0200

=== debian/watch ===
version=4
# Upstream tags inconsistently which leads to uscan falsly identify outdated
# tags as latest releases. I used uversionmangle to "filter" those tags out.
# An improvement is welcome!
opts="filenamemangle=s/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/, \
  dversionmangle=s/\+repack(\d*$)//, \
  uversionmangle=s/(\d)[_\.\-\+]?((68-Beta1|Beta|Alpha|70-Beta1|snapshot1|persistentrooms1|RC1)\d*)$/$1~$2/, \
  repacksuffix=+repack1" \
  https://github.com/Syncplay/@PACKAGE@/tags .*/v?(\d\S+)\.tar\.gz

## syncplay 1.7.4+repack1

=== Makefile ===
GNU=gmake $*
all:
	@$(GNU)
.DEFAULT:
	@$(GNU)

=== debian/changelog ===
syncplay (1.7.4+repack1-2) unstable; urgency=medium

  * Added video/ogg and video/webm to supported video formats in
    syncplay.desktop file (Closes: #1124344)
    + Added debian/patches/support-video-ogg-and-video-webm.patch
  * Updated packaging copyright year
  * Declared compliance with Standards version 4.7.3
    + Removed now redundant 'Priority: optional' field from debian/control

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 10 Jan 2026 06:09:37 +0100

syncplay (1.7.4+repack1-1) unstable; urgency=medium

  * New upstream release
    + Updated copyright information
  * Deleted empty patch fix-invalid-escape-sequences.patch
  * Removed jami from suggested packages as it's no longer in unstable

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 22 Mar 2025 05:34:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: syncplay
 Section: net
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bruno Kleinert <fuddl@debian.org>
+Maintainer: Bruno Kleinert <fuddl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
 # For tests by upstream
                python3-twisted
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://syncplay.pl/
 Vcs-Browser: https://salsa.debian.org/fuddl/syncplay
 Vcs-Git: https://salsa.debian.org/fuddl/syncplay.git
@@ -28,7 +26,7 @@
          python3-pyside2.qtcore,
          mpv | vlc
 Recommends: syncplay-server (>= 1.6.7+repack1-7)
-Suggests: jami | linphone-desktop | mumble
+Suggests: linphone-desktop | mumble
 Description: Synchronize playback of various video players via internet (Client)
  Allows you to watch movies with friends or family at different places
  synchronized via the internet.
@@ -62,7 +60,7 @@
          python3-certifi
 Recommends: certbot
 Suggests: dehydrated | acme-tiny
-Breaks: syncplay (<< 1.6.7+repack1-7), python3-minimal (<< 3.12.3-0ubuntu2~)
+Breaks: syncplay (<< 1.6.7+repack1-7)
 Replaces: syncplay (<< 1.6.7+repack1-7)
 Description: Synchronize playback of various video players via internet (Server)
  To learn what Syncplay is read the description of package 'syncplay'.

## syncplay 1.7.5%2Brepack1

=== debian/changelog ===
syncplay (1.7.5+repack1-1) unstable; urgency=medium

  * New upstream release
  * Updated copyright years

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 21 Feb 2026 10:43:36 +0100

## syncplay 1.7.5+repack1

=== debian/changelog ===
syncplay (1.7.5+repack1-2) unstable; urgency=medium

  * Switch to pyside6 (Closes: #1128881)

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 24 Feb 2026 05:45:52 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
          python3-twisted,
          python3-certifi,
 # Those are for the graphical user interface:
-         python3-pyside2.qtwidgets,
-         python3-pyside2.qtcore,
+         python3-pyside6.qtwidgets,
+         python3-pyside6.qtcore,
          mpv | vlc
 Recommends: syncplay-server (>= 1.6.7+repack1-7)
 Suggests: linphone-desktop | mumble
